Subject: Re: [PATCH 1/4 v4] powerpc: document phy-connection-type property

From: Matt Sealey <[email-masked]>
Date: Mon, 14 May 2007 02:20:29 +0100

Hi guys,

Since I'm poking around on 52xx I had a query - firstly it doesn't
look like the 52xx fec driver uses phylib at all since it also tries
to support the 7-wire ethernet interface, which isn't ?? supported
by phylib.

Stumbling across this property I wondered, if the driver can check
the device tree for the phy type to set it up properly in this
manner, would it also be relevant to list the 7-wire style of
connection, so that drivers can provide the alternative code?

Side note, is phylib flexible enough to support the 7-wire
non-MII connection? It looks sorta so, but...

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations

Kim Phillips wrote:
> On Mon, 23 Apr 2007 22:59:43 +0200
> Segher Boessenkool <[email-masked]> wrote:
> 
>>> phy-connection-type is now maintained one-to-one with definitions
>>> in include/linux/phy.h, albeit in the form of a string.
>> That's sort-of accidental though :-)
>>
> sure..
> 
>>> --- a/Documentation/powerpc/booting-without-of.txt
>>> +++ b/Documentation/powerpc/booting-without-of.txt
>>> @@ -1562,6 +1562,9 @@ platforms are moved over to use the 
>>> flattened-device-tree model.
>>>       network device.  This is used by the bootwrapper to interpret
>>>       MAC addresses passed by the firmware when no information other
>>>       than indices is available to associate an address with a device.
>>> +   - phy-connection-type : a string naming the controller/PHY 
>>> interface type,
>>> +     i.e., "mii" (default), "rmii", "gmii", "rgmii", "rgmii-id", 
>>> "tbi",
>>> +     or "rtbi".
>> Could you put this right after the "phy-handle" definition
>> please?
> 
> phy-handle is a required property, whereas phy-connection-type is not
> (it's recommended). Are you suggesting phy-connection-type be a required
> property?
> 
>>> @@ -1573,6 +1576,7 @@ platforms are moved over to use the 
>>> flattened-device-tree model.
>>>  		interrupts = <a0 0>;
>>>  		interrupt-parent = <700>;
>>>  		mac-address = [ 00 04 9f 00 23 23 ];
>>> +		phy-connection-type = "gmii";
>>>  		rx-clock = "none";
>>>  		tx-clock = "clk9";
>>>  		phy-handle = <212000>;
>> Same here.  It's nice to keep things grouped, it
>> improves understanding ;-)
> 
> That's understandable.  Lemme know about the above though.
> 
> Kim
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev